import { CollectionConfig } from "payload";

const Checkouts: CollectionConfig = {
  slug: 'checkouts',
  fields: [
    {
      name: 'fromHold',
      type: 'relationship',
      relationTo: 'holdRequests',
      hasMany: false,
    },
    {
      name: 'user',
      type: 'relationship',
      relationTo: 'users',
      hasMany: false,
    },
    {
      name: 'copy',
      type: 'relationship',
      relationTo: 'copies',
      hasMany: false,
    },
    {
      name: 'isReturned',
      type: 'checkbox',
    },
    {
      name: 'dateDue',
      type: 'date',
    },
    {
      name: 'ownerVerifiedReturnedDate',
      type: 'date',
    },
    {
      name: 'loanerReturnedDate',
      type: 'date',
    },
    {
      name: 'book',
      type: 'join',
      collection: 'copies',
      on: 'book',
      hasMany: false,
    },
  ]
}

export default Checkouts
